Description

we should implement a packaging function similar to what we have in metacat
where if you want to ship a pipeline to someone else, kepler would find all the
actors that aren't in the standard library and zip them up with the workflow
moml. This would make it easy for simple sharing of workflows. eventually, we
could have it automatically upload these to the grid as well.

Related issues:

Is duplicate of Kepler - Bug #2025: provide workflow and results in some publ... Resolved 03/11/2005
Blocked by Kepler - Bug #1895: remote actor repository Resolved 01/20/2005
History

#1 - 01/20/2005 09:54 AM - Chad Berkley

we decided in kansas that we need a kepler archive file (kar) that will
encapsulate data and services as well as the workflow and metadata. We talked
about this further in juneau 1/05

#2 - 07/05/2005 02:37 PM - Chad Berkley

The KSW format has been changed several times. It's current incarnation is 100%
compatible with the current MoML DTD. | have sent it to Shawn and Christopher
for them to validate that it is 100% MoML compatible.

There is now an automated class that will create a KSW file for a single actor.
Need to work on encapsulating an entire workflow. The KSW for a single actor
can be loaded dynamically at kepler startup simply by putting the ksw file into
the kepler/ksw directory.

#3 - 07/05/2005 02:41 PM - Chad Berkley

| forgot to mention, that currently, even though the ksw metadata contains
semantic annotations, they are still using the old system. This will change

when we implement the getAllObjects() method that Shawn needs to complete the
new semantics system.

#4 - 11/02/2005 12:46 PM - Matt Jones

Mostly complete. Cleaning up loose ends dealing with class loading.

#5 - 11/02/2005 04:32 PM - Matt Jones

kK

e Bug 2025 has been marked as a duplicate of this bug.

#6 - 11/09/2005 02:48 PM - Matthew Brooke

reclassified to core

#7 - 11/16/2005 09:39 AM - Chad Berkley

The kar format has been specified and kar files are currently being used to load
actors into kepler. it was recently decided that sine we don't have time to do
dynamic class loading, we are going to package only moml into the kar files and
just use kar files for transporting "configured moml actors". The use of kar

files as an archive format is being postponed until after release 1.0.
#8 - 12/14/2005 01:41 PM - Chad Berkley

changing the milestone to A9. The kar file loading is working but i'm not going
to be able to have the kar file creation (user clicking on a wf or actor and
choosing "create kar file") working by A8. Also changed the severity to major
instead of blocker since this is no longer a blocker.

#9 - 01/24/2006 10:24 AM - Chad Berkley

This is now mostly working, but there are still issues with adding annotations
to the actor. Shawn and | are going to work on this the Thursday after the
Davis Kepler meeting and hopefully resolve this bug.

#10 - 03/22/2006 03:33 PM - Chad Berkley

This is now complete.

#11 - 03/27/2013 02:16 PM - Redmine Admin
Original Bugzilla ID was 1340
